zenilib: TFunction Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | List of all members
TFunction Class Reference

`#include <SymbolTable.h>`

Inherits TSymbol.

## Public Member Functions

| TFunction (TOperator o)
| TFunction (const TString *name, TType &retType, TOperator tOp=EOpNull)
virtual | ~TFunction ()
void | addParameter (TParameter &p)
virtual void | dump (TInfoSink &infoSink) const
TOperator | getBuiltInOp () const
const TString & | getMangledName () const
const TParameter & | getParam (size_t i) const
size_t | getParamCount () const
const TType & | getReturnType () const
bool | isDefined ()
virtual bool | isFunction () const
void | relateToOperator (TOperator o)
void | setDefined ()
Public Member Functions inherited from TSymbol
| TSymbol (const TString *n)
virtual | ~TSymbol ()
const TString & | getExtension () const
const TString & | getName () const
int | getUniqueId () const
virtual bool | isVariable () const
| POOL_ALLOCATOR_NEW_DELETE ()
void | relateToExtension (const TString &ext)
void | setUniqueId (int id)

## Static Public Member Functions

static TString | mangleName (const TString &name)
static TString | unmangleName (const TString &mangledName)

## Detailed Description

Definition at line 129 of file SymbolTable.h.

## Constructor & Destructor Documentation

TFunction::TFunction | ( | TOperator | o | ) |

inline

Definition at line 131 of file SymbolTable.h.

TFunction::TFunction | ( | const TString * | name,
|  | TType & | retType,
|  | TOperator | tOp = `EOpNull`
| ) |  |

inline

Definition at line 136 of file SymbolTable.h.

TFunction::~TFunction | ( |  | ) |

virtual

Definition at line 162 of file SymbolTable.cpp.

References i.

## Member Function Documentation

void TFunction::addParameter | ( | TParameter & | p | ) |

inline

Definition at line 151 of file SymbolTable.h.

References TType::getMangledName(), and TParameter::type.

void TFunction::dump | ( | TInfoSink & | infoSink | ) | const

virtual

Implements TSymbol.

Definition at line 139 of file SymbolTable.cpp.

References TInfoSink::debug, TType::getBasicString(), getMangledName(), and TSymbol::getName().

TOperator TFunction::getBuiltInOp | ( |  | ) | const

inline

Definition at line 161 of file SymbolTable.h.

Referenced by switch().

const TString& TFunction::getMangledName | ( |  | ) | const

inlinevirtual

Reimplemented from TSymbol.

Definition at line 157 of file SymbolTable.h.

Referenced by dump(), TParseContext::findFunction(), and switch().

const TParameter& TFunction::getParam | ( | size_t | i | ) | const

inline

Definition at line 167 of file SymbolTable.h.

References i.

Referenced by switch().

size_t TFunction::getParamCount | ( |  | ) | const

inline

Definition at line 166 of file SymbolTable.h.

Referenced by switch().

const TType& TFunction::getReturnType | ( |  | ) | const

inline

Definition at line 158 of file SymbolTable.h.

Referenced by switch().

bool TFunction::isDefined | ( |  | ) |

inline

Definition at line 164 of file SymbolTable.h.

Referenced by switch().

virtual bool TFunction::isFunction | ( |  | ) | const

inlinevirtual

Reimplemented from TSymbol.

Definition at line 143 of file SymbolTable.h.

static TString TFunction::mangleName | ( | const TString & | name | ) |

inlinestatic

Definition at line 145 of file SymbolTable.h.

void TFunction::relateToOperator | ( | TOperator | o | ) |

inline

Definition at line 160 of file SymbolTable.h.

Referenced by TSymbolTableLevel::relateToOperator().

void TFunction::setDefined | ( |  | ) |

inline

Definition at line 163 of file SymbolTable.h.

Referenced by switch().

static TString TFunction::unmangleName | ( | const TString & | mangledName | ) |

inlinestatic

Definition at line 146 of file SymbolTable.h.

Referenced by TOutputGLSLBase::hashFunctionName(), sh::DetectGradientOperation::visitAggregate(), and sh::OutputHLSL::visitAggregate().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/SymbolTable.h
- zenilib/jni/external/angle/src/compiler/SymbolTable.cpp